components:
  schemas:
    AutomationInstrumentation_v1_0_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/AutomationInstrumentation_v1_0_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AutomationInstrumentation_v1_0_0_AutomationInstrumentation:
      additionalProperties: false
      description: The `AutomationInstrumentation` schema contains measurements and
        set points for an automation node.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/AutomationInstrumentation_v1_0_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        CurrentAmps:
          description: The current (A) for this node.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorCurrentExcerpt
          - enum:
            - null
          x-excerptCopy: SensorCurrentExcerpt
          x-longDescription: This property shall contain the current, in ampere units,
            for this automation node.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Current`.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        NodeControl:
          description: The control for this node.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Control.yaml#/components/schemas/Control_ControlNodeExcerpt
          - enum:
            - null
          x-excerptCopy: ControlNodeExcerpt
          x-longDescription: This property shall contain the control for this resource.  The
            value of the `DataSourceUri` property, if present, shall reference a resource
            of type `Control`.
        NodeState:
          $ref: http://redfish.dmtf.org/schemas/v1/AutomationNode.yaml#/components/schemas/AutomationNode_NodeState
          description: The current state of the node.
          readOnly: true
          x-longDescription: This parameter shall specify the current state of the
            automation node.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PID:
          description: A PID control loop.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Control.yaml#/components/schemas/Control_ControlSingleLoopExcerpt
          - enum:
            - null
          x-excerptCopy: ControlSingleLoopExcerpt
          x-longDescription: This property shall contain a PID-based control loop
            for this resource.  The value of the `DataSourceUri` property, if present,
            shall reference a resource of type `Control`.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of a resource and its children.
          x-longDescription: This type shall contain any status or health properties
            of a resource.
        TemperatureCelsius:
          description: Temperature (Celsius).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the temperature, in degree
            Celsius units, for this resource.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Temperature`.
        Voltage:
          description: The voltage (V) for this node.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorVoltageExcerpt
          - enum:
            - null
          x-excerptCopy: SensorVoltageExcerpt
          x-longDescription: This property shall contain the voltage, in volt units,
            for this automation node.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Voltage`.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent automation node instrumentation
        for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AutomationInstrumentation_v1_0_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#AutomationInstrumentation.v1_0_0.AutomationInstrumentation'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2025.2'
